Bug 492810 - (RabbIT) Review Request: RabbIT - proxy for a faster web
Review Request: RabbIT - proxy for a faster web
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon
Fedora Extras Quality Assurance
:
Depends On: 495411
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 17:04 EDT by Pavel Alexeev
Modified: 2009-11-25 10:05 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.1-9.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 18:26:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cassmodiah: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2009-03-29 17:04:35 EDT
Spec URL: http://hubbitus.net.ru/rpm/Fedora9/RabbIT/RabbIT.spec
SRPM URL: http://hubbitus.net.ru/rpm/Fedora9/RabbIT/RabbIT-3.17-3.fc9.src.rpm
Description:
RabbIT is a web proxy that speeds up web surfing over slow links by doing: 
	o Compress text pages to gzip streams. This reduces size by up to 75% 
	o Compress images to 10% jpeg. This reduces size by up to 95% 
	o Remove advertising 
	o Remove background images 
	o Cache filtered pages and images 
	o Uses keepalive if possible 
	o Easy and powerful configuration 
	o Multi threaded solution written in java 
	o Modular and easily extended 
	o Complete HTTP/1.1 compliance


Some additional notes. It is my first java package. I endeavor be most closer to guidelines: https://fedoraproject.org/wiki/Packaging/Java
Koji build system seems down now, but I do not expect serious problem on it.
At all package working perfectly (I use it in this moment).
So, few additional things: rpmlint silent on spec and src.rpm package, but produce warnings on binary:
1) Few non-standard-uid - I especially start daemon from separate user, not root for the security reason. I think it is not problem.
2) file-not-utf8 - i want convert it into UTF, but do not known from what!!! WEB-license ( http://www.khelekore.org/rabbit/licence.shtml ) also contain non-latin characters, but also charset do not shown. Enca can't help me - very small non ASCII symbols.
3) zero-length . This config really empty in distribution tarball. I want leave it in package as is.
4) log-files-without-logrotate As I can understand daemon has self capability for log rotation.
5) incoherent-subsys /etc/rc.d/init.d/rabbit RabbIT} - rpmlint incorrect detect filename.
6) no-reload-entry No. I can't find if it realized at all. I do not want provide fake only for rpmlint.
7) class-path-in-manifest It is not problem, this path correct and I put it in spec file.
Comment 1 Pavel Alexeev 2009-03-31 00:59:21 EDT
I contact author and now convert LICENSE and LICENSE.txt files in UTF-8 from iso-8859-1.

http://hubbitus.net.ru/rpm/Fedora9/RabbIT/RabbIT-3.17-4.fc9.src.rpm
Spec URL is the same.
Comment 2 Pavel Alexeev 2009-04-01 13:54:01 EDT
http://hubbitus.net.ru/rpm/Fedora9/RabbIT/RabbIT-3.18-5.fc9.src.rpm
new upstream release. One serious bug fixed.
Comment 3 Simon 2009-04-12 08:31:59 EDT
https://fedoraproject.org/wiki/Packaging/Java#Pre-built_JAR_files_.2F_Other_bundled_software

dnsjava is bundled, but you are lucky, dnsjava is okay and comes without "shipping external dependencies". please package dnsjava, remove the dnsjava.jar in rabbit and build it against dnsjava package!
Comment 4 Pavel Alexeev 2009-04-12 14:12:57 EDT
If I correctly understand you I must package dnsjava into separate rpm package "and submit it on review? Or delete it from RabbIT and swith on non-threaded DNSSunHandler in default config?
Comment 5 Simon 2009-04-12 14:24:00 EDT
you have to remove the bundled jars. (in your case you have only one jar, dnsjava)

build dnsjaa from source as an extra package, with an extra review. this review should set as "depends on dnsjava-review"
Comment 6 Pavel Alexeev 2009-04-12 16:42:47 EDT
In examples from Guidelines (https://fedoraproject.org/wiki/Packaging/Java) groups "Development Documentation" and "Development/Documentation" both incorrect ot rpmlint wrong say about it??

I set it to simple Documentation now...

And ok, I submit dnsjava as separate package, please review both.
Comment 7 Pavel Alexeev 2009-04-12 16:43:29 EDT
New package http://hubbitus.net.ru/rpm/Fedora9/RabbIT/RabbIT-3.18-6.fc9.src.rpm which uses system wide dnsjava.
Comment 8 Simon 2009-04-23 00:31:22 EDT
LINE 105
you wrote:
	/sbin/chkconfig --del httpd
should be:
	/sbin/chkconfig --del %{name}
or not?!


$ rpmlint *.fc11.*.rpm
RabbIT.noarch: W: name-repeated-in-summary RabbIT
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18 rabbit
RabbIT.noarch: W: non-standard-uid /etc/RabbIT/access rabbit
RabbIT.noarch: W: non-standard-uid /etc/RabbIT/allowed rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/htdocs/public/smallRabbIT3.png rabbit
RabbIT.noarch: W: non-standard-uid /etc/RabbIT/cache_only.conf rabbit
RabbIT.noarch: W: non-standard-uid /etc/RabbIT/RabbIT.conf rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/README rabbit
RabbIT.noarch: W: non-standard-uid /etc/RabbIT/nocache.conf rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/htdocs/index.html rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/htdocs/technical_documentation/thread_handling_overview.txt rabbit
RabbIT.noarch: W: non-standard-uid /etc/RabbIT/users rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/htdocs/public rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/LICENSE rabbit
RabbIT.noarch: W: non-standard-uid /var/log/RabbIT rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/htdocs/README.txt rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/htdocs/menu.html rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/htdocs/public/NoAd.gif rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/ChangeLog rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/TODO rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/htdocs/LICENSE.txt rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/java/RabbIT-3.18.jar rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/htdocs/javadoc rabbit
RabbIT.noarch: W: non-standard-uid /usr/bin/RabbIT rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/htdocs rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/htdocs/technical_documentation rabbit
RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/Help.txt rabbit
RabbIT.noarch: E: non-readable /etc/rc.d/init.d/rabbit 0700
RabbIT.noarch: E: non-standard-executable-perm /etc/rc.d/init.d/rabbit 0700
RabbIT.noarch: W: log-files-without-logrotate /var/log/RabbIT
RabbIT.noarch: W: dangerous-command-in-%postun userdel
RabbIT.noarch: W: missing-lsb-keyword Default-Stop in /etc/rc.d/init.d/rabbit
RabbIT.noarch: E: incoherent-subsys /etc/rc.d/init.d/rabbit RabbIT}
RabbIT.noarch: W: no-reload-entry /etc/rc.d/init.d/rabbit
RabbIT.noarch: W: class-path-in-manifest /usr/share/java/RabbIT-3.18.jar
RabbIT.src: W: name-repeated-in-summary RabbIT
2 packages and 0 specfiles checked; 3 errors, 33 warnings.
Comment 9 Pavel Alexeev 2009-04-28 18:00:13 EDT
(In reply to comment #8)
> LINE 105
> you wrote:
>  /sbin/chkconfig --del httpd
> should be:
>  /sbin/chkconfig --del %{name}
> or not?!
Thank you! I'm copy it form httpd and accidentally forgot change name.
Fixed.


About other errors I wrote in first message. For what you post it again? Do you think what any of them must be fixed?

Additionally I fill bug on rpmlint for mentioned error - https://bugzilla.redhat.com/show_bug.cgi?id=498107

And one question. Should I delete user in %postun If I add it in %post? Rpmlint fire warning about it as dangerous operation.

http://hubbitus.net.ru/rpm/Fedora9/RabbIT/RabbIT-3.18-7.fc9.src.rpm
Comment 10 Simon 2009-07-13 12:11:57 EDT
uuuh, this is still open?!
I demonstrated more than once, that i am not able to do reviews, but i will take a look in it in the next few days.
Comment 11 Pavel Alexeev 2009-07-15 07:18:55 EDT
(In reply to comment #10)
> uuuh, this is still open?!
Yes, it is.
> I demonstrated more than once, that i am not able to do reviews, but i will
> take a look in it in the next few days.  
Do not hesitate!
Comment 12 Pavel Alexeev 2009-07-15 07:19:58 EDT
Do you want set review flag and assign it for self?
Comment 13 Simon 2009-07-23 15:10:09 EDT
=== REVIEW RabbIT ===
template:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines#Things_To_Check_On_Review


* MUST: rpmlint must be run on every package. The output should be posted in the review.
FAIL:
RabbIT.noarch: W: name-repeated-in-summary RabbIT
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18 rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /etc/RabbIT/access rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/RabbIT/htdocs/public/smallRabbIT3.png rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/RabbIT/htdocs/public rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /etc/RabbIT/cache_only.conf rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/Help.txt rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /etc/RabbIT/RabbIT.conf rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/README rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/RabbIT/htdocs rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /etc/RabbIT/nocache.conf rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /etc/RabbIT/users rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/LICENSE rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /etc/RabbIT/allowed rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /var/log/RabbIT rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/RabbIT/htdocs/index.html rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/RabbIT/htdocs/javadoc rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/RabbIT/htdocs/menu.html rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/RabbIT/htdocs/technical_documentation rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/RabbIT/htdocs/LICENSE.txt rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/TODO rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/bin/RabbIT rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/RabbIT/htdocs/technical_documentation/thread_handling_overview.txt rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/java/RabbIT-3.18.jar rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/doc/RabbIT-3.18/ChangeLog rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/RabbIT/htdocs/README.txt rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: non-standard-uid /usr/share/RabbIT/htdocs/public/NoAd.gif rabbit
A file in this package is owned by a non standard user. Standard users are:
root, bin, daemon, adm, lp, sync, shutdown, halt, mail, news, uucp, operator,
games, gopher, ftp, nobody.

RabbIT.noarch: W: log-files-without-logrotate /var/log/RabbIT
This package contains files in /var/log/ without adding logrotate
configuration for them.

RabbIT.noarch: W: dangerous-command-in-%postun userdel
RabbIT.noarch: W: missing-lsb-keyword Default-Stop in /etc/rc.d/init.d/RabbIT
The package contains an init script that does not contain one of the LSB init
script comment block convention keywords that are recommendable for all init
scripts.  If there is nothing to add to a keyword's value, include the keyword
in the script with an empty value.  Note that as of version 3.2, the LSB
specification does not mandate presence of any keywords.

RabbIT.noarch: E: incoherent-subsys /etc/rc.d/init.d/RabbIT RabbIT}
The filename of your lock file in /var/lock/subsys/ is incoherent with your
actual init script name. For example, if your script name is httpd, you have
to use 'httpd' as the filename in your subsys directory. It is also possible
that rpmlint gets this wrong, especially if the init script contains
nontrivial shell variables and/or assignments.  These cases usually manifest
themselves when rpmlint reports that the subsys name starts a with '$'; in
these cases a warning instead of an error is reported and you should check the
script manually.

RabbIT.noarch: W: no-reload-entry /etc/rc.d/init.d/RabbIT
In your init script (/etc/rc.d/init.d/your_file), you don't have a 'reload'
entry, which is necessary for good functionality.

RabbIT.noarch: W: incoherent-init-script-name RabbIT
The init script name should be the same as the package name in lower case, or
one with 'd' appended if it invokes a process by that name.

RabbIT.noarch: W: class-path-in-manifest /usr/share/java/RabbIT-3.18.jar
The META-INF/MANIFEST.MF file in the jar contains a hardcoded Class-Path.
These entries do not work with older Java versions and even if they do work,
they are inflexible and usually cause nasty surprises.

RabbIT.src: W: name-repeated-in-summary RabbIT
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

2 packages and 0 specfiles checked; 1 errors, 34 warnings.


* MUST: The package must be named according to the Package Naming Guidelines.
O.K.

* MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
O.K.


* MUST: The package must meet the Packaging Guidelines.
FAIL
- BUILDROOT-Tag -> O.K.
- No internal libs -> O.K.
- TIMESTAMPS -> O.K.
- File Permissions -> FAIL


* MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
O.K.


* MUST: The License field in the package spec file must match the actual license.
O.K.


* MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
O.K.


* MUST: The spec file must be written in American English.
O.K.


* MUST: The spec file for the package MUST be legible.
O.K.


* MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
O.K.


my DL:
.:[ cassmodiah @ schafwiese : /home/cassmodiah/Desktop ]:.
$ md5sum RabbIT3-src.tar.gz 
49c4c7c568e4b47960601297d26c5efb  RabbIT3-src.tar.gz


extract from package:
.:[ cassmodiah @ schafwiese : /home/cassmodiah/rpmbuild/SOURCES ]:.
$ md5sum RabbIT3-src.tar.gz 
49c4c7c568e4b47960601297d26c5efb  RabbIT3-src.tar.gz


* MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
O.K.
BuildArchitectures: noarch


* MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
N/A

* MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
O.K.

* MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A


* MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A


* MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
N/A


* MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
O.K.


* MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
O.K.


* MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
FAIL


* MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
O.K.


* MUST: Each package must consistently use macros.
O.K.


* MUST: The package must contain code, or permissable content.
O.K.


* MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
N/A


* MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
O.K.


* MUST: Header files must be in a -devel package.
N/A


* MUST: Static libraries must be in a -static package.
N/A


* MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
N/A


* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A


* MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
N/A


* MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
N/A


* MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
N/A


* MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
FAIL


* MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
O.K.


* MUST: All filenames in rpm packages must be valid UTF-8.
O.K.



SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

* SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A


* SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
N/A, but O.K.


* SHOULD: The reviewer should test that the package builds in mock.
O.K.


* SHOULD: The package should compile and build into binary rpms on all supported architectures.
O.K.


* SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
N/A


* SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
O.K.


* SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A


* SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
O.K.

* SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
O.K.



-----
TODO:
- update to RabbIT 4
- try to contact upstream - he/she/it should use name and version as source, not only mainversion.
- don't own with the rabbit-user the whole package
- remove my name from your changelog
- don't use packagename in summary
- own %{_datadir}/%{name}/ instead of %{_datadir}/%{name}/htdocs
- you can use a macro in source0; %{name}3 instead of RabbIT3
- make your package RPMLINT-conform:
  ~ remove class path in manifest
  ~ you can't avoid all user-messages from rpmlint (/var/run/ and so is okay for rabbit)
  ~ userdel is okay
  ~ add a logrotate for log-files
  ~ make your init.d-script conform
  ~ check your user and your service name - you have rabbit and RabbIT -> just use rabbit for all
Comment 14 Simon 2009-07-24 01:51:33 EDT
* MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.
O.K.

* MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
FAIL

My fault....
Comment 15 Pavel Alexeev 2009-08-10 17:38:47 EDT
(In reply to comment #13)
I really don't understand for what you again post so much warning data mentioned twice previously...

> TODO:
> - update to RabbIT 4
Good suggestion. Done.
> - try to contact upstream - he/she/it should use name and version as source,
> not only mainversion.
I contact them. He answer what do that, but now in vacation around 2 or 3 weeks.

> - don't own with the rabbit-user the whole package
Ok.

> - remove my name from your changelog
Really strange request... But off course ok.

> - don't use packagename in summary
Ok.

> - own %{_datadir}/%{name}/ instead of %{_datadir}/%{name}/htdocs
Ok.

> - you can use a macro in source0; %{name}3 instead of RabbIT3
Ok. But %lname, not %name.

> - make your package RPMLINT-conform:
>   ~ remove class path in manifest
There problem. If I remove it, I get error on start:
# ./RabbIT
Exception in thread "main" java.lang.NoClassDefFoundError: org/xbill/DNS/Lookup
        at rabbit.dns.DNSJavaHandler.setup(DNSJavaHandler.java:32)
        at rabbit.proxy.HttpProxy.setupDNSHandler(HttpProxy.java:171)
        at rabbit.proxy.HttpProxy.setConfig(HttpProxy.java:272)
        at rabbit.proxy.HttpProxy.setConfig(HttpProxy.java:136)
        at rabbit.proxy.ProxyStarter.startProxy(ProxyStarter.java:66)
        at rabbit.proxy.ProxyStarter.start(ProxyStarter.java:60)
        at rabbit.proxy.ProxyStarter.main(ProxyStarter.java:18)
Caused by: java.lang.ClassNotFoundException: org.xbill.DNS.Lookup
        at java.net.URLClassLoader$1.run(URLClassLoader.java:217)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:323)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:268)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:336)
        ... 7 more
and don't known what do around this :(

>   ~ you can't avoid all user-messages from rpmlint (/var/run/ and so is okay
> for rabbit)
I known :)

>   ~ userdel is okay
Thank you for clarification.

>   ~ add a logrotate for log-files
For what if it has inner mechanism of log rotation?? Just rpmlint can't known about this.

>   ~ make your init.d-script conform
Conform to what??

>   ~ check your user and your service name - you have rabbit and RabbIT -> just
> use rabbit for all  
Ok, I use rabbit now for service and service file.


http://hubbitus.net.ru/rpm/Fedora11/RabbIT/RabbIT-4.0-8.fc11.src.rpm
http://hubbitus.net.ru/rpm/Fedora11/RabbIT/RabbIT.spec
Warning: this build is NOT run! Please see class-path error described before. I'm continue investigation. Help appreciated.
Comment 16 Pavel Alexeev 2009-08-15 12:53:32 EDT
Robert Oloffson kindly change version enumeration by my request, now tarball have version and release.

Also new 4.1 version.
I still don't known what do with classpath. Help is highly appreciated.

http://hubbitus.net.ru/rpm/Fedora11/RabbIT/RabbIT-4.1-9.fc11.src.rpm
Comment 17 Simon 2009-09-21 15:25:39 EDT
I promise you i will take a look this week!
Comment 18 Simon 2009-09-25 14:14:18 EDT
------ 
>   ~ make your init.d-script conform
Conform to what??
------
http://fedoraproject.org/wiki/Packaging:SysVInitScript
you are missing a reload function


-----
>   ~ add a logrotate for log-files
For what if it has inner mechanism of log rotation?? Just rpmlint can't known
about this.
-----
You can read some stuff about logrotate in the logrotate manpage

--- RabbIT.spec
Source1:		%{lname}.logrotate
..
..
# install log rotation stuff
mkdir -p %{buildroot}/etc/logrotate.d
install -pm0644 %{SOURCE1} \
	%{buildroot}/etc/logrotate.d/%{lname}
..
..
%attr(600,%{lname},root) %ghost %{_localstatedir}/log/%{name}/main_run.log
..
%config(noreplace) %{_sysconfdir}/logrotate.d/%{lname}
---
please don't give read and execute acess to users
log files dont need execute (for root, too)

--- rabbit.logrotate
/var/log/rabbit/*log {
    weekly
    notifempty
    missingok
}
---

After you changed that, package should be okay.
Comment 19 Pavel Alexeev 2009-09-25 15:50:26 EDT
(In reply to comment #18)
> http://fedoraproject.org/wiki/Packaging:SysVInitScript
> you are missing a reload function
Yes, I known. I speak that initially. I think ignore rpmlint warning is best solution instead of add empty reload stub.

> You can read some stuff about logrotate in the logrotate manpage
Off course I can. But for what? I known basis.
If I add files for logrotate it will conflict with inner system of log rotation. So, we got one or both logs corrupted, nothing else. In this case I can try search way to replace inner method by logrotate one, but really I should do that?
Comment 20 Simon 2009-10-21 00:37:11 EDT
Yeah, there is an inner log rotation. I tested it. My fault. Haven't recognize that.

You are using the classpathremoving sed-command from the java-guidelines of the wiki. perhaps a bug of rpmlint? I tried to make rpmlint silence in this case, but I failed.

Package is okay and works for me on F10 ppc and F11 ppc. APPROVED
Comment 21 Pavel Alexeev 2009-10-22 15:47:26 EDT
Simon Wesp, thank you for the review.

New Package CVS Request
=======================
Package Name: 
Short Description: 
Owners: hubbitus
Branches: F-10 F-11 F-12 EL-5
InitialCC:
Comment 22 Kevin Fenzi 2009-10-26 16:04:33 EDT
Can you fill in the name and description and reset the fedora-cvs flag when you are ready?
Comment 23 Pavel Alexeev 2009-10-26 16:46:57 EDT
Oh, Kevin Fenzi my apologizes.

New Package CVS Request
=======================
Package Name: RabbIT
Short Description: proxy for a faster web
Owners: hubbitus
Branches: F-10 F-11 F-12 EL-5
InitialCC:
Comment 24 Kevin Fenzi 2009-10-28 20:04:36 EDT
no problem... and sorry for the delay here. 

cvs done.
Comment 25 Fedora Update System 2009-10-31 12:25:25 EDT
RabbIT-4.1-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/RabbIT-4.1-9.fc10
Comment 26 Fedora Update System 2009-10-31 12:26:54 EDT
RabbIT-4.1-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/RabbIT-4.1-9.fc11
Comment 27 Fedora Update System 2009-10-31 12:33:34 EDT
RabbIT-4.1-9.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/RabbIT-4.1-9.el5
Comment 28 Fedora Update System 2009-11-02 20:59:09 EST
RabbIT-4.1-9.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update RabbIT'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0780
Comment 29 Fedora Update System 2009-11-20 18:25:52 EST
RabbIT-4.1-9.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2009-11-25 10:04:17 EST
RabbIT-4.1-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2009-11-25 10:05:45 EST
RabbIT-4.1-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.